PipeWire 1.6.5

Loading...
Searching...
No Matches
spa_log_topic_enum Struct Reference
SPA » Support » Log

Enumeration of log topics in a plugin. More...

`#include <spa/support/log.h>`

## Data Fields
uint32_t | version
struct spa_log_topic *const *const | topics
| Array of pointers to log topics.
struct spa_log_topic *const *const | topics_end
| End of topics array.

## Detailed Description

Enumeration of log topics in a plugin.

Since
  1.1.0

## Field Documentation

## ◆ version

uint32_t spa_log_topic_enum::version

## ◆ topics

struct spa_log_topic* const* const spa_log_topic_enum::topics

Array of pointers to log topics.

## ◆ topics_end

struct spa_log_topic* const* const spa_log_topic_enum::topics_end

End of topics array.

The documentation for this struct was generated from the following file:

- spa/support/log.h